Package com.sap.ai.sdk.core.model

# Class BckndUsageResourcePlanItem

java.lang.Object
com.sap.ai.sdk.core.model.BckndUsageResourcePlanItem

public class BckndUsageResourcePlanItem extends Object
BckndUsageResourcePlanItem

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndUsageResourcePlanItem.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndUsageResourcePlanItem()`
  Default constructor for BckndUsageResourcePlanItem.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndUsageResourcePlanItem`
  `configuredMaxReplicas(Integer configuredMaxReplicas)`
  Set the configuredMaxReplicas of this `BckndUsageResourcePlanItem` instance and return the same instance.
  `static BckndUsageResourcePlanItem.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndUsageResourcePlanItem` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Integer`
  `getConfiguredMaxReplicas()`
  Get configuredMaxReplicas
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndUsageResourcePlanItem`.
  `String`
  `getId()`
  Get id
  `String`
  `getResourcePlanType()`
  Get resourcePlanType
  `int`
  `hashCode()`
  `BckndUsageResourcePlanItem`
  `id(String id)`
  Set the id of this `BckndUsageResourcePlanItem` instance and return the same instance.
  `BckndUsageResourcePlanItem`
  `resourcePlanType(String resourcePlanType)`
  Set the resourcePlanType of this `BckndUsageResourcePlanItem` instance and return the same instance.
  `void`
  `setConfiguredMaxReplicas(Integer configuredMaxReplicas)`
  Set the configuredMaxReplicas of this `BckndUsageResourcePlanItem` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndUsageResourcePlanItem` instance.
  `void`
  `setId(String id)`
  Set the id of this `BckndUsageResourcePlanItem` instance.
  `void`
  `setResourcePlanType(String resourcePlanType)`
  Set the resourcePlanType of this `BckndUsageResourcePlanItem` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndUsageResourcePlanItem` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndUsageResourcePlanItem

    protected BckndUsageResourcePlanItem()
    Default constructor for BckndUsageResourcePlanItem.

- ## Method Details

  - ### id

    @Nonnull public BckndUsageResourcePlanItem id(@Nonnull String id)
    Set the id of this `BckndUsageResourcePlanItem` instance and return the same instance.
    Parameters:
      `id` - The id of this `BckndUsageResourcePlanItem`
    Returns:
      The same instance of this `BckndUsageResourcePlanItem` class

  - ### getId

    @Nonnull public String getId()
    Get id
    Returns:
      id The id of this `BckndUsageResourcePlanItem` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `BckndUsageResourcePlanItem` instance.
    Parameters:
      `id` - The id of this `BckndUsageResourcePlanItem`

  - ### resourcePlanType

    @Nonnull public BckndUsageResourcePlanItem resourcePlanType(@Nullable String resourcePlanType)
    Set the resourcePlanType of this `BckndUsageResourcePlanItem` instance and return the same instance.
    Parameters:
      `resourcePlanType` - The resourcePlanType of this `BckndUsageResourcePlanItem`
    Returns:
      The same instance of this `BckndUsageResourcePlanItem` class

  - ### getResourcePlanType

    @Nonnull public String getResourcePlanType()
    Get resourcePlanType
    Returns:
      resourcePlanType The resourcePlanType of this `BckndUsageResourcePlanItem` instance.

  - ### setResourcePlanType

    public void setResourcePlanType(@Nullable String resourcePlanType)
    Set the resourcePlanType of this `BckndUsageResourcePlanItem` instance.
    Parameters:
      `resourcePlanType` - The resourcePlanType of this `BckndUsageResourcePlanItem`

  - ### configuredMaxReplicas

    @Nonnull public BckndUsageResourcePlanItem configuredMaxReplicas(@Nullable Integer configuredMaxReplicas)
    Set the configuredMaxReplicas of this `BckndUsageResourcePlanItem` instance and return the same instance.
    Parameters:
      `configuredMaxReplicas` - The configuredMaxReplicas of this `BckndUsageResourcePlanItem`
    Returns:
      The same instance of this `BckndUsageResourcePlanItem` class

  - ### getConfiguredMaxReplicas

    @Nonnull public Integer getConfiguredMaxReplicas()
    Get configuredMaxReplicas
    Returns:
      configuredMaxReplicas The configuredMaxReplicas of this `BckndUsageResourcePlanItem` instance.

  - ### setConfiguredMaxReplicas

    public void setConfiguredMaxReplicas(@Nullable Integer configuredMaxReplicas)
    Set the configuredMaxReplicas of this `BckndUsageResourcePlanItem` instance.
    Parameters:
      `configuredMaxReplicas` - The configuredMaxReplicas of this `BckndUsageResourcePlanItem`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndUsageResourcePlanItem`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndUsageResourcePlanItem` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndUsageResourcePlanItem` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndUsageResourcePlanItem` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndUsageResourcePlanItem.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndUsageResourcePlanItem` instance with all required arguments.